(function () {
  function setRfs() {
    var designWidth = 750,
        rem2px = 100;
    document.documentElement.style.fontSize = Math.max(window.innerWidth / designWidth * rem2px, document.documentElement.clientWidth / designWidth * rem2px, 42.67) + 'px';
  }

  setRfs();
  var tid;
  window.addEventListener('resize', function () {
    clearTimeout(tid);
    tid = setTimeout(setRfs, 100);
  }, false);
})();

function t3frogFun(event) {
  var params = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : {};
  webview["default"].runUniqueApi('t3LogEvent', {
    event: event,
    params: params
  });
}

function saveLocalString(name, value) {
  return new Promise(function (resolve) {
    webview["default"].runUniqueApi('saveLocalString', {
      name: name,
      value: value,
      trigger: function trigger(code, res) {
        if (res !== undefined) {
          resolve(res);
        } else {
          resolve(code);
        }
      }
    });
  });
}

function getLocalString (name) {
  return new Promise(function (resolve) {
    webview["default"].runUniqueApi('getLocalString', {
      name: name,
      trigger: function trigger(code, res) {
        if (res !== undefined) {
          resolve(res)
        } else  {
          resolve(code)
        }
      },
    })
  })
}